# ![https://github.com/antos-rde/antos/raw/master/antos-64.png](https://github.com/antos-rde/antos/raw/master/antos-64.png) antOS v2.x.x

![https://git.iohub.dev/dany/antos/actions/workflows/ci.yml/badge.svg?branch=master](https://git.iohub.dev/dany/antos/actions/workflows/ci.yml/badge.svg?branch=master)

AntOS is a web-based remote desktop environment that provides an all-in-one solution for setting up a cloud-based, self-hosted working environment. It features a backend API and services, a front-end web-based window manager, application APIs, a GUI toolkit, and file system abstractions. It also includes an application store and an SDK for in-browser application development, deployment, and packaging. AntOS is designed to work across devices, including desktop computers and mobile devices.

![https://github.com/antos-rde/antos/raw/master/antos-shot.png](https://github.com/antos-rde/antos/raw/master/antos-shot.png)

AntOS can be used in several application contexts, such as:
- Providing visual tools to access and control resources on remote servers and embedded Linux environments
- Providing and developing SaaS web-based applications
- Self-hosting a cloud-based working environment
- Creating a customized, user-friendly interface for managing and interacting with cloud-based resources and services
- Setting up a collaborative, online workspace for remote teams and distributed organizations
- Building a web-based operating system that can run on various devices, including laptops, tablets, and smartphones
- Creating a virtualized environment for testing and deploying web-based applications in a sandboxed environment
- Building a platform for creating and hosting web-based educational or training content
- Setting up a web-based development environment for prototyping and building web-based applications quickly and easily
- Etc, You name it!

With the provided application API and SDK, AntOS facilitates the development and deployment of user-specific applications inside the VDE environment

Github: [https://github.com/antos-rde](https://github.com/antos-rde)

## Demo
A demo of the VDE is available at  [https://app.iohub.dev/antos/](https://app.iohub.dev/antos/) using username: demo and password: demo.

If one want to run AntOS VDE locally in their system, a docker image is available at:
[https://hub.docker.com/r/iohubdev/antos](https://hub.docker.com/r/iohubdev/antos)

## Build and install

See [BUILD.md](BUILD.md) for more information on project building and installing

## AntOS applications (Available on the MarketPlace)
[https://github.com/antos-rde/antosdk-apps](https://github.com/antos-rde/antosdk-apps)

## Front-end Documentation
- API: [https://doc.iohub.dev/antos/api/](https://doc.iohub.dev/antos/api/)

## Licence

Copyright 2017-2022 Xuan Sang LE <mrsang AT iohub DOT dev>

AnTOS is is licensed under the GNU General Public License v3.0, see the LICENCE file for more information

 This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

   This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

**For comercial use, please contact author**
